Get an AutomationRun trace
curl --request GET \
--url https://api.checkfu.com/v1/automation_runs/{id}/trace \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/automation_runs/{id}/trace"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/automation_runs/{id}/trace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/automation_runs/{id}/trace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/automation_runs/{id}/trace"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/automation_runs/{id}/trace")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/automation_runs/{id}/trace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"authority": "firing_receipt_and_session_event_log",
"filtering": {
"applicable": false
},
"admission": {
"disposition": "not_applicable",
"check_configured": true,
"check_usage": {
"input_tokens": 1,
"cached_input_tokens": 1,
"cache_write_input_tokens": 1,
"output_tokens": 1,
"reasoning_output_tokens": 1,
"total_tokens": 1
},
"attempt_count": 1
},
"steps": {
"applicable": false
},
"children": {
"applicable": false
},
"execution": {
"applicable": false
},
"delivery": {
"applicable": false
},
"feedback": {
"total": 1,
"by_disposition": {
"useful": 1,
"noisy": 1,
"incorrect": 1,
"too_late": 1,
"already_handled": 1
}
},
"completeness": {
"status": "complete",
"through_sequence": 1
},
"run": {
"type": "automation_run",
"id": "<string>",
"automation_id": "<string>",
"definition_revision": 1,
"agent": {
"type": "agent",
"id": "<string>",
"version": 123
},
"steps": {
"state": "pending",
"result": "completed",
"steps": [
{
"step": "<string>",
"kind": "completed",
"unchanged": true
}
],
"wake_at": "<string>",
"program_fingerprint": "<string>",
"step_attempts": [
{
"step": "<string>",
"attempts": 3
}
],
"step_items": [
{
"step": "<string>",
"total": 1,
"started": 25,
"completed": 25,
"failed": 25,
"rejected": 25,
"refusal": "items_missing"
}
]
},
"session_id": "<string>",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
},
"trigger_context": {
"type": "manual"
},
"created_at": "<string>",
"updated_at": "<string>",
"admission": {
"status": "pending",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
}
},
"execution": {
"status": "not_started",
"wait_reason": "approval",
"cancel_status": "not_requested"
},
"quality": {
"status": "not_requested",
"rounds_completed": 1,
"max_rounds": 1
},
"release": {
"status": "not_requested",
"result": {
"session_id": "<string>",
"input_id": "<string>"
}
},
"settlement": {
"status": "pending",
"usage": {
"data": [
{
"id": "<string>",
"session_id": "<string>",
"run": "<string>",
"attempt": null,
"agent_id": "<string>",
"sequence": 123,
"workspace_id": "<string>",
"principal_id": "<string>",
"anonymous_subject_ref": "<string>",
"recorded_at": "<string>",
"measurement": {
"kind": "managed_tool",
"tool_invocation_id": "<string>",
"selection": {
"managed_tool_id": "<string>",
"managed_tool_release_id": "<string>"
},
"origin": {
"origin_type": "session",
"session_id": "<string>",
"run": "<string>"
},
"price": {
"rate_card_id": "<string>",
"price_microusd": 4503599627370495,
"billing_basis": "valid_result",
"valid_empty_result_billable": true
},
"outcome": {
"outcome_type": "valid_result",
"empty_result": true
}
},
"cost": {
"managed_tool_calls": 1,
"billed_microusd": 4503599627370495,
"rounding_remainder_millionths": 0,
"tokens": "<unknown>",
"active_ms": "<unknown>",
"storage_mib_ms": "<unknown>",
"running_ms": "<unknown>"
},
"automation_id": "<string>",
"evaluation": "<unknown>",
"execution_origin": "<unknown>"
}
],
"next_page": "<string>"
}
},
"cleanup": {
"status": "not_required"
},
"effects": [
{
"type": "memory_proposal",
"memory_store_id": "<string>",
"proposal_id": "<string>"
}
],
"children": [
{
"step_id": "<string>",
"session_id": "<string>",
"input_id": "<string>",
"run_id": "<string>",
"status": "queued"
}
]
},
"workspace_id": "<string>"
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Get an AutomationRun trace
Read the joined, content-free execution trace for one AutomationRun in ANY state.
GET
/
v1
/
automation_runs
/
{id}
/
trace
Get an AutomationRun trace
curl --request GET \
--url https://api.checkfu.com/v1/automation_runs/{id}/trace \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/automation_runs/{id}/trace"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/automation_runs/{id}/trace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/automation_runs/{id}/trace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/automation_runs/{id}/trace"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/automation_runs/{id}/trace")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/automation_runs/{id}/trace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"authority": "firing_receipt_and_session_event_log",
"filtering": {
"applicable": false
},
"admission": {
"disposition": "not_applicable",
"check_configured": true,
"check_usage": {
"input_tokens": 1,
"cached_input_tokens": 1,
"cache_write_input_tokens": 1,
"output_tokens": 1,
"reasoning_output_tokens": 1,
"total_tokens": 1
},
"attempt_count": 1
},
"steps": {
"applicable": false
},
"children": {
"applicable": false
},
"execution": {
"applicable": false
},
"delivery": {
"applicable": false
},
"feedback": {
"total": 1,
"by_disposition": {
"useful": 1,
"noisy": 1,
"incorrect": 1,
"too_late": 1,
"already_handled": 1
}
},
"completeness": {
"status": "complete",
"through_sequence": 1
},
"run": {
"type": "automation_run",
"id": "<string>",
"automation_id": "<string>",
"definition_revision": 1,
"agent": {
"type": "agent",
"id": "<string>",
"version": 123
},
"steps": {
"state": "pending",
"result": "completed",
"steps": [
{
"step": "<string>",
"kind": "completed",
"unchanged": true
}
],
"wake_at": "<string>",
"program_fingerprint": "<string>",
"step_attempts": [
{
"step": "<string>",
"attempts": 3
}
],
"step_items": [
{
"step": "<string>",
"total": 1,
"started": 25,
"completed": 25,
"failed": 25,
"rejected": 25,
"refusal": "items_missing"
}
]
},
"session_id": "<string>",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
},
"trigger_context": {
"type": "manual"
},
"created_at": "<string>",
"updated_at": "<string>",
"admission": {
"status": "pending",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
}
},
"execution": {
"status": "not_started",
"wait_reason": "approval",
"cancel_status": "not_requested"
},
"quality": {
"status": "not_requested",
"rounds_completed": 1,
"max_rounds": 1
},
"release": {
"status": "not_requested",
"result": {
"session_id": "<string>",
"input_id": "<string>"
}
},
"settlement": {
"status": "pending",
"usage": {
"data": [
{
"id": "<string>",
"session_id": "<string>",
"run": "<string>",
"attempt": null,
"agent_id": "<string>",
"sequence": 123,
"workspace_id": "<string>",
"principal_id": "<string>",
"anonymous_subject_ref": "<string>",
"recorded_at": "<string>",
"measurement": {
"kind": "managed_tool",
"tool_invocation_id": "<string>",
"selection": {
"managed_tool_id": "<string>",
"managed_tool_release_id": "<string>"
},
"origin": {
"origin_type": "session",
"session_id": "<string>",
"run": "<string>"
},
"price": {
"rate_card_id": "<string>",
"price_microusd": 4503599627370495,
"billing_basis": "valid_result",
"valid_empty_result_billable": true
},
"outcome": {
"outcome_type": "valid_result",
"empty_result": true
}
},
"cost": {
"managed_tool_calls": 1,
"billed_microusd": 4503599627370495,
"rounding_remainder_millionths": 0,
"tokens": "<unknown>",
"active_ms": "<unknown>",
"storage_mib_ms": "<unknown>",
"running_ms": "<unknown>"
},
"automation_id": "<string>",
"evaluation": "<unknown>",
"execution_origin": "<unknown>"
}
],
"next_page": "<string>"
}
},
"cleanup": {
"status": "not_required"
},
"effects": [
{
"type": "memory_proposal",
"memory_store_id": "<string>",
"proposal_id": "<string>"
}
],
"children": [
{
"step_id": "<string>",
"session_id": "<string>",
"input_id": "<string>",
"run_id": "<string>",
"status": "queued"
}
]
},
"workspace_id": "<string>"
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Path Parameters
Pattern:
^afire_[0-9a-f]{32}$Response
AutomationRunTrace
Available options:
firing_receipt_and_session_event_log - Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^wrkspc_[0-9a-f]{32}$